import { AsyncDirective, type ElementPart } from '../../../../external/lit/index.js';
/**
 * The `focus` directive sets focus on the given element once its connected to the DOM.
 */
declare class UmbDestroyDirective extends AsyncDirective {
    #private;
    render(): symbol;
    update(part: ElementPart): symbol;
    disconnected(): void;
    reconnected(): void;
}
/**
 * @description
 * A Lit directive, which destroys the element once its disconnected from the DOM.
 * @example:
 * ```js
 * html`<input ${umbDestroyOnDisconnect()}>`;
 * ```
 */
export declare const umbDestroyOnDisconnect: () => import("lit-html/directive.js").DirectiveResult<typeof UmbDestroyDirective>;
export {};
